# Ferramenta de programación

Cornelius
Schumacher

     schumacher@kde.org

Waldo
Bastian

     bastian@kde.org

Zack
Rusin

     zack@kde.org

2006-06-01
O sistema de escritorio K
kconfig_compiler
1

# kconfig_compiler

Compilador da configuración de KDE

    kconfig_compiler Opcións de Qt Opcións de KDE opcións file.kcfg file.kcfgc

## Descrición

`kconfig_compiler` xera código fonte en C++ a partir de dous ficheiros. O primeiro deles (.kcfg) contén información acerca das opcións de configuracion e o segundo (.kcfgc) fornece as opcións da xerazón do código.

O codigo fonte xerado contén unha clase baseada en `KConfigSkeleton` que fornece unha API para aceder aos dados de configuración do programa.

## Opcións

### Argumentos:

file.kcfg

  Ficheiro XML kcfg de entrada

file.kcfgc

  Ficheiro de opcións da xerazón do código

### Opcións:

`-d, --directory <dir>`

  O directorio onde xerar os ficheiros [.]

### Opcións xenéricas:

`--help`

  Mostra axuda acerca das opcións

`--help-qt`

  Mostra as opcións específicas de Qt

`--help-kde`

  Mostra as opcións específicas de KDE

`--help-all`

  Mostra todas as opcións

`--author`

  Mostra información do autor

`-v, --version`

  Mostra información da versión

`--license`

  Mostra información da licenza

### Opcións de KDE:

`--caption <título>`

  Usa "título" como o nome na barra do título

`--icon <ícone>`

  Usa "ícone" como o ícone do programa

`--miniicon <ícone>`

  Usa "ícone" como o ícone do programa

`--config <nomeFicheiro>`

  Usa un ficheiro de configuración alternativo

`--dcopserver <servidor>`

  Usa o servidor DCOP especificado por "servidor"

`--nocrashhandler`

  Deshabilita o xestor de peches inesperados para opter emborcados de memoria

`--waitforwm`

  Agarda por un xestor de fiestras compatíbel con WM_NET

`--style <estilo>`

  Estabelece o estilo da GUI do programa

`--geometry <xeometría>`

  Estabelece da xeometría do widget principal - consulte man X para saber máis acerca do formato do argumento

### Opcións de Qt:

`--display <nomePantalla>`

  Usa o display "nomePantalla" do servidor X

`--session <idSesion>`

  Restaura o programa co "idSesión" indicado

`--cmap`

  Fai que o programa instale un mapa de cores privado nunha pantalla de 8-bit

`--ncols <cantidade>`

  Limita o número de cores reservadas no cubo de cores nunha pantalla de 8-bit, se o programa está a usar a especificación de cor QApplication::ManyColor

`--nograb`

  Indícalle a Qt que nunha capture o rato nen o teclado

`--sync`

  Troca para o modo síncrono para depuración

`--fn, --font <tipoLetra>`

  Define o tipo de letra do programa

`--bg, --background <cor>`

  Estabelece a cor de fondo predeterminada e a paleta do programa (as sombras claras e escuras son calculadas)

`--fg, --foreground <cor>`

  Estabelece a cor de primeiro plano predeterminada

`--btn, --button <cor>`

  Estabelece a cor predeterminada dos botóns

`--name <nome>`

  Estabelece o nome do programa

`--title <título>`

  Estabelece o título do programa

`--visual TrueColor`

  Obriga ao programa a empregar TrueColor nunha pantalla de 8-bit

`--inputstyle <estiloEntrada>`

  Axusta o estilo de entrada de XIM (X Input Method). Os valores posíbeis son "onthespot", "overthespot", "offthespot", e "root"

`--im <servidor XIM>`

  Indica o servidor XIM

`--noxim`

  Deshabilita o XIM

`--reverse`

  Reflicte a disposición dos widgets por enteiro

## Consulte tamén

`http://developer.kde.org`

  O sitio web dos desenvolventes de KDE

## Erros

Por favor, empregue http://bugs.kde.org para informar de erros, non envíe directamente correos aos autores.